<?php
//TITLE=GIF optimizer

$title = 'GIF optimizer gifshrenk';
$progname = 'gifshrenk';

function usagetext($prog)
{
  exec($prog.' --help', $kk);
  $k='';foreach($kk as $s)$k.="$s\n";
  return $k;
}

$text = array(
   '1. Purpose' => "

Removes completely transparent frames from a GIF file.
 <p>
It is recommended to run <code>gifsicle -O2 -o final.gif output_of_gifshrenk.gif</code>
before and after running gifshrenk to get the file even smaller.
 <p>
If gifshrenk says <q>Warning: Detected an impossible pixel value</q>, the output
file will be significantly larger than the input file, but this is not an error.
Just reoptimize the target file with gifsicle and the file should then be smaller
than the original file. The reason to this is that gifsicle somehow appears to be
capable of generating images that contain more colours than the header indicates
there being.
Giflib however is not capable of encoding those pictures,
so the color resolution must be increased temporarily.

", '1. Copying' => "

ea has been written by Joel Yliluoma, a.k.a.
<a href=\"http://iki.fi/bisqwit/\">Bisqwit</a>,<br>
and is distributed under the terms of the
<a href=\"http://www.gnu.org/licenses/licenses.html#GPL\">General Public License</a> (GPL).

", '1. Requirements' => "

GNU make is probably required.<br>
Requires libgif or libungif.

", '1. Bugs' => "

Does not handle the \"dispose\" value properly.

");
include '/WWW/progdesc.php';
